import { BufferAttribute } from "../../render/buffer-attribute";
import { Vec3 } from "../../math/Vec3";
export declare class Box {
    min: Vec3;
    max: Vec3;
    _center: Vec3;
    constructor(min?: Vec3, max?: Vec3);
    get center(): Vec3;
    /**
     *
     * @param {Array<Vec3>} points
     */
    setFromPoints(points: any): void;
    expand(...points: any[]): void;
    makeEmpty(): this;
    clone(): Box | undefined;
    copy(box: Box): Box;
    setFromCenterAndSize(center: Vec3, size: Vec3): this;
    setFromBufferAttribute(attribute: BufferAttribute): this;
    expandByPoint(point: Vec3): this;
    isEmpty(): boolean;
    getCenter(target: Vec3): Vec3;
}
